<Input::Options::Frame @title={{t "option-panel.data-source"}} ...attributes>
  {{#if this.canUseSelectedModel}}
    <Editor::Properties::OptionContainer @label={{t "option-panel.use-the-current-model"}} as |id|>
      <Input::Select class="use-current-model" id={{id}} @list={{this.yesNoOptions}} @value={{this.useSelectedModel}} @onChange={{this.useSelectedModelChanged}} />
    </Editor::Properties::OptionContainer>
  {{/if}}

  {{#if (eq this.useSelectedModel "no")}}
    {{#if this.canSelectModel}}
      <Editor::Properties::OptionContainer @label={{t "option-panel.model"}} as |id|>
        <Input::Select class="model-name" id={{id}} @list={{this.modelOptions}} @value={{this.model}} @onChange={{this.modelChanged}} />
      </Editor::Properties::OptionContainer>
    {{/if}}

    {{#if this.canUseDefaultModel}}
      <Editor::Properties::OptionContainer @label={{t "option-panel.use-the-default-model"}} as |id|>
        <Input::Select class="use-default-model" id={{id}} @list={{this.yesNoOptions}} @value={{this.useDefaultModel}} @onChange={{this.useDefaultModelChanged}} />
      </Editor::Properties::OptionContainer>
    {{/if}}

    {{#if this.canSelectName}}
      <Editor::Properties::OptionContainer @label={{t "option-panel.model-name"}} as |id|>
        <Input::RecordId class="model-id" id={{id}} @space={{@space}} @team={{this.team}} @model={{this.model}} @value={{this.id}} @onChange={{this.changeSelectedRecord}} />
      </Editor::Properties::OptionContainer>
    {{/if}}

    {{#if (eq this.model "picture")}}
      <Editor::Properties::OptionContainer @label={{t "option-panel.picture"}} as |id|>
        <Input::PictureAuto
          {{did-insert this.loadPicture}}
          @id={{id}}
          @model="Page"
          @modelId={{@pageId}}
          @disable365={{true}}
          @value={{this.picture}}
          @save={{this.pictureChanged}}
        />
      </Editor::Properties::OptionContainer>
    {{/if}}
  {{/if}}

  {{yield}}
</Input::Options::Frame>